:root {
    --black: #000000;
    --mainblue: #283978;
    --accentblue: #CDEEFC;
    --white: #FFFFFF;
    --mainbluetransparent: rgba(40, 57, 120, 0.4);
    --shadowblack: #868686;
}

html {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-style: normal;
    margin: 0;
    padding: 0;
}

body {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    margin: 0;
}

a {
    font-style: none;
    text-decoration: none;
}

header {
    background-color: var(--mainblue);
    height: 130px;
    width: 100%;
    box-shadow: 2px 0px 10px var(--mainblue);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    z-index: 2;
}

.nav-bar {
    width: auto;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: start;
    padding: 0;
    list-style: none;
    margin-left: 20px;
    margin: 0;
    gap: 50px;
}

.nav-item {
    padding: 0px 10px;
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-item img {
    width: 90px;
    height: auto;
    border-radius: 10px;
}

.nav-item h2 {
    color: var(--white);
    font-size: 20px;
}

.nav-item:hover {
    cursor: pointer;
}

.main-box {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: 700px;
    height: auto;
}
.video-background {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
    z-index: -1; /* Push behind other content */
}
.video-background video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    transform: translate(-50%, -50%);
    object-fit: cover;
}
.video-background img {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    transform: translate(-50%, -50%);
    object-fit: cover;
}

.main-box::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background-color: var(--mainbluetransparent);
}

.main-box-content {
    position: relative;
    width: 100%;
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    color: white;
    text-align: center;
}

.content-title {
    margin-top: 150px;
    width: auto;
    max-width: 95%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.content-title h1 {
    margin: 0;
    font-size: 80px;
}

.content-date {
    margin-top: 20px;
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.content-date h3 {
    margin: 0;
    font-size: 25px;
}

.content-btn {
    margin-top: 40px;
    width: 250px;
    height: 70px;
    border-radius: 20px;
    color: var(--mainblue);
    background-color: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.1s ease-in-out;
    box-shadow: 0px 2px 7px var(--black);
}

.content-btn:hover {
    cursor: pointer;
    background-color: var(--mainblue);
    color: var(--white);
}

.content-partners {
    width: 100%;
    min-height: 200px;
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
}

.partners-title {
    width: 100%;
    display: none;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    height: auto;
}
.partners-title h3 {
    margin: 0;
    margin-left: 20px;
    font-size: 25px;
}

.partners-brands {
    width: 100%;
    min-height: 150px;
    height: auto;
    display: none;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    gap: 10px;
    flex-wrap: wrap;
    padding-top: 10px;
    padding-bottom: 10px;
}

.partner-brand-element {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--white);
    height: 100px;
    min-width: 200px;
    margin-left: 10px;
    border-radius: 20px;
    color: var(--black)
}

.partner-brand-element img {
    height: 90%;
    width: auto;
    border-radius: 20px;
}

.history-and-findus {
    width: 100%;
    height: auto;
    min-height: 200px;
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: start;
}

.history-container {
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
}

.findus-container {
    flex: 1;
    height: auto;
}

.history-title, .findus-title, .contact-title {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto;
    margin-top: 30px;
}

.contact-title {
    margin-top: 100px;
}

.history-title h2, .findus-title h2, .contact-title h2 {
    font-size: 40px;
    color: var(--mainblue);
    margin: 0;
    padding: 0;
}

.history-element-container {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    margin-top: 30px;
}

.history-element {
    width: 100%;
    display: flex;
    flex-direction: row;
    height: 170px;
    align-items: start;
    justify-content: center;
}

.history-element-small {
    width: 100%;
    display: flex;
    flex-direction: row;
    height: 150px;
    align-items: start;
    justify-content: center;
}

.history-element-year {
    width: 120px;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
}

.history-element-text {
    width: 500px;
    height: 120px;
    color: var(--black);
    display: flex;
    align-items: center;
    justify-content: start;
    margin-left: 40px;
}

.history-element-text-small {
    width: 500px;
    height: 100px;
    color: var(--black);
    display: flex;
    align-items: center;
    justify-content: start;
    margin-left: 40px;
}

.history-element-text p, .history-element-text-small p {
    font-size: 15px;
    margin: 0;
}

.history-element-circle {
    height: 120px;
    width: 100%;
    background-color: var(--mainblue);
    border-radius: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
}

.history-element-circle-small {
    height: 100px;
    width: 100px;
    background-color: var(--mainblue);
    border-radius: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
}

.history-element-circle h3, .history-element-circle-small h3 {
    font-size: 25px;
    margin: 0;
}

.history-element-line {
    width: 5px;
    flex: 1;
    background-color: var(--accentblue);
}

.map-container {
    width: 100%;
    margin-top: 30px;
    height: auto;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.map-element {
    width: 80%;
    height: 400px;
    overflow: hidden;
    border-radius: 20px;
}

.address-info {
    display: flex;
    width: 100%;
    height: auto;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--black);
}

.address-info h2 {
    font-size: 30px;
    margin: 0;
}

.contact-container {
    margin-top: 50px;
    margin-bottom: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: auto;
    gap: 30px;
}

.contact-email {
    width: 280px;
    height: 70px;
    border-radius: 15px;
    box-shadow: 0px 2px 3px var(--shadowblack);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0px 20px;
}

.contact-email h3 {
    font-size: 15px;
}

.contact-mail {
    width: 280px;
    height: auto;
    border-radius: 15px;
    box-shadow: 0px 2px 3px var(--shadowblack);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    gap: 20px;
}

.contact-mail h2 {
    margin: 0;
    margin-bottom: 30px;
}

.contact-mail h3 {
    font-size: 15px;
    margin: 0;
}

@media screen and (max-width: 1337px) {
    .history-and-findus {
        flex-direction: column;
    }
    .history-container, .findus-container {
        width: 100%;
    }
    .history-element-container {
        width: 95%;
    }
    .history-element, .history-element-small {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: auto;
    }
    .history-element-year {
        width: auto;
        height: auto;
    }
    .history-element-circle, .history-element-circle-small {
        background-color: var(--white);
        color: var(--mainblue);
        height: auto;
        width: auto;
    }
    .history-element-line {
        display: none;
    }
    .history-element-text, .history-element-text-small {
        margin-left: 0;
        text-align: center;
        width: auto;
        max-width: 500px;
        height: auto;
        margin-top: 10px;
        margin-bottom: 30px;
    }
}

@media screen and (max-width: 700px) {

    header {
        height: 100px;
    }

    .nav-bar {
        gap: 10px;
        margin: 0;
    }

    .nav-item h2 {
        font-size: 15px;
    }

    .content-title h1 {
        font-size: 50px;
    }

    .partners-title {
        justify-content: center;
        margin-bottom: 20px;
    }
    .partners-brands {
        width: 80%;
        justify-content: center;
    }
    .partner-brand-element {
        margin-left: 0;
    }

}